org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacetcatalog

## Interface EfacetcatalogPackage

Deprecated.

    @Deprecated
    public interface EfacetcatalogPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `EfacetcatalogFactory`
Generated:
Model:
  kind="package"

### Nested Class Summary

Nested Classes
`static interface` `EfacetcatalogPackage.Literals` Deprecated. Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

### Field Summary

Fields
`static EfacetcatalogPackage` `eINSTANCE` Deprecated. The singleton instance of the package.
`static java.lang.String` `eNAME` Deprecated. The package name.
`static java.lang.String` `eNS_PREFIX` Deprecated. The package namespace name.
`static java.lang.String` `eNS_URI` Deprecated. The package namespace URI.
`static int` `FACET_SET_CATALOG` Deprecated. The meta object id for the '`Facet Set Catalog`' class.
`static int` `FACET_SET_CATALOG__INSTALLED_ENTRIES` Deprecated. The feature id for the 'Installed Entries' reference list.
`static int` `FACET_SET_CATALOG__NAME` Deprecated. The feature id for the 'Name' attribute.
`static int` `FACET_SET_CATALOG_FEATURE_COUNT` Deprecated. The number of structural features of the 'Facet Set Catalog' class.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`EfacetcatalogFactory` `getEfacetcatalogFactory()` Deprecated. Returns the factory that creates the instances of the model.
`EClass` `getFacetSetCatalog()` Deprecated. Returns the meta object for class '`Facet Set Catalog`'.

### Field Detail

#### eNAME

    static final java.lang.String eNAME

Deprecated.
The package name.

See Also:
  Constant Field Values
Generated:

#### eNS_URI

    static final java.lang.String eNS_URI

Deprecated.
The package namespace URI.

See Also:
  Constant Field Values
Generated:

#### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

Deprecated.
The package namespace name.

See Also:
  Constant Field Values
Generated:

#### eINSTANCE

    static final EfacetcatalogPackage eINSTANCE

Deprecated.
The singleton instance of the package.

Generated:

#### FACET_SET_CATALOG

    static final int FACET_SET_CATALOG

Deprecated.
The meta object id for the '`Facet Set Catalog`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacetcatalog.impl.FacetSetCatalogImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacetcatalog.impl.EfacetcatalogPackageImpl#getFacetSetCatalog()`, Constant Field Values
Generated:

#### FACET_SET_CATALOG__INSTALLED_ENTRIES

    static final int FACET_SET_CATALOG__INSTALLED_ENTRIES

Deprecated.
The feature id for the 'Installed Entries' reference list.

See Also:
  Constant Field Values
Generated:
Ordered:

#### FACET_SET_CATALOG__NAME

    static final int FACET_SET_CATALOG__NAME

Deprecated.
The feature id for the 'Name' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### FACET_SET_CATALOG_FEATURE_COUNT

    static final int FACET_SET_CATALOG_FEATURE_COUNT

Deprecated.
The number of structural features of the 'Facet Set Catalog' class.

See Also:
  Constant Field Values
Generated:
Ordered:

### Method Detail

#### getFacetSetCatalog

    EClass getFacetSetCatalog()

Deprecated.
Returns the meta object for class '`Facet Set Catalog`'.

Returns:
  the meta object for class 'Facet Set Catalog'.
See Also:
  `FacetSetCatalog`
Generated:

#### getEfacetcatalogFactory

    EfacetcatalogFactory getEfacetcatalogFactory()

Deprecated.
Returns the factory that creates the instances of the model.

Returns:
  the factory that creates the instances of the model.
Generated: